WKSContentListener::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <WKSContentListener.h>`

## Public Types
enum | What { F_Operator , F_Function , F_Cell , F_CellList , F_Long , F_Double , F_Text }

## Public Member Functions
| FormulaInstruction ()
| constructor
librevenge::RVNGPropertyList | getPropertyList () const
| return a proplist corresponding to a instruction

## Public Attributes
What | m_type
| the type
std::string | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text)
double | m_longValue
| value ( if type==F_Long )
double | m_doubleValue
| value ( if type==F_Double )
Vec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList )
Vec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList )
librevenge::RVNGString | m_sheetName [2]
| the sheet name
int | m_sheetId [2]
| the sheet id
librevenge::RVNGString | m_fileName
| the file name (external reference)

## Friends
std::ostream & | operator<< (std::ostream &o, WKSContentListener::FormulaInstruction const &inst)
| operator<<

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

## ◆ What

enum WKSContentListener::FormulaInstruction::What

Enumerator
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Long |
F_Double |
F_Text |

## Constructor & Destructor Documentation

## ◆ FormulaInstruction()

WKSContentListener::FormulaInstruction::FormulaInstruction | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPropertyList()

librevenge::RVNGPropertyList WKSContentListener::FormulaInstruction::getPropertyList | ( |  | ) | const

return a proplist corresponding to a instruction

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WKSContentListener::FormulaInstruction const & | inst )
| friend

operator<<

## Member Data Documentation

## ◆ m_content

std::string WKSContentListener::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by QuattroFormulaInternal::CellReference::addInstruction(), FormulaInstruction(), Quattro9Parser::getField(), QuattroParser::getField(), getPropertyList(), operator<<, libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), libwps::MultiplanParser::readFormulaV2(), libwps::MultiplanParser::readLink(), and libwps::MultiplanParser::readName().

## ◆ m_doubleValue

double WKSContentListener::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), and libwps::MultiplanParser::readFormulaV2().

## ◆ m_fileName

librevenge::RVNGString WKSContentListener::FormulaInstruction::m_fileName

the file name (external reference)

Referenced by FormulaInstruction(), getPropertyList(), operator<<, LotusSpreadsheet::parseVariable(), Quattro9Spreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), and libwps::MultiplanParser::readLink().

## ◆ m_longValue

double WKSContentListener::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), and WKS4Spreadsheet::readFormula().

## ◆ m_position

Vec2i WKSContentListener::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, LotusSpreadsheet::parseVariable(), LotusSpreadsheet::readCell(), Quattro9Spreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), Quattro9Spreadsheet::readCellReference(), QuattroSpreadsheet::readCellReference(), libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), libwps::MultiplanParser::readFormulaV2(), libwps::MultiplanParser::readLink(), and libwps::MultiplanParser::readName().

## ◆ m_positionRelative

Vec2b WKSContentListener::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), getPropertyList(), operator<<, LotusSpreadsheet::parseVariable(), LotusSpreadsheet::readCell(), Quattro9Spreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), Quattro9Spreadsheet::readCellReference(), QuattroSpreadsheet::readCellReference(), libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), WKS4Spreadsheet::readFormula(), libwps::MultiplanParser::readFormulaV2(), libwps::MultiplanParser::readLink(), and libwps::MultiplanParser::readName().

## ◆ m_sheetId

int WKSContentListener::FormulaInstruction::m_sheetId[2]

the sheet id

    \note local field which can be used to store the sheet id
    before setting the sheet name

Referenced by FormulaInstruction(), operator<<, Quattro9Spreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), Quattro9Spreadsheet::readCellReference(), QuattroSpreadsheet::readCellReference(), and QuattroDosSpreadsheet::readFormula().

## ◆ m_sheetName

librevenge::RVNGString WKSContentListener::FormulaInstruction::m_sheetName[2]

the sheet name

Referenced by getPropertyList(), operator<<, LotusSpreadsheet::parseVariable(), LotusSpreadsheet::readCell(), Quattro9Spreadsheet::readCell(), QuattroSpreadsheet::readCell(), Quattro9Spreadsheet::readCellReference(), QuattroSpreadsheet::readCellReference(), LotusSpreadsheet::readFormula(), and libwps::MultiplanParser::readLink().

## ◆ m_type

What WKSContentListener::FormulaInstruction::m_type

the type

Referenced by QuattroFormulaInternal::CellReference::addInstruction(), FormulaInstruction(), Quattro9Parser::getField(), QuattroParser::getField(), getPropertyList(), operator<<, LotusSpreadsheet::parseVariable(), LotusSpreadsheet::readCell(), Quattro9Spreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), Quattro9Spreadsheet::readCellReference(), QuattroSpreadsheet::readCellReference(), libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), libwps::MultiplanParser::readFormulaV2(), libwps::MultiplanParser::readLink(), and libwps::MultiplanParser::readName().

The documentation for this struct was generated from the following files:

- WKSContentListener.h
- WKSContentListener.cpp